<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2003</year><year>2013</year>
      <holder>Ericsson AB. All Rights Reserved.</holder>
    </copyright>
    <legalnotice>
      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at
 
          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
    
    </legalnotice>

    <title>orber_diagnostics</title>
    <prepared></prepared>
    <responsible></responsible>
    <docno></docno>
    <approved></approved>
    <checked></checked>
    <date>2003-04-17</date>
    <rev>A</rev>
  </header>
  <module>orber_diagnostics</module>
  <modulesummary>Diagnostics API for Orber</modulesummary>
  <description>
    <p>This module contains functions which makes it possible to run simple
      tests.</p>
    <p></p>
    <warning>
      <p>Functions exported by this module may only be used during
        test and development phase.</p>
    </warning>
  </description>
  <funcs>
    <func>
      <name>nameservice() -> Result</name>
      <name>nameservice(Flags) -> Result</name>
      <fsummary>Display all objects stored in the Name Service</fsummary>
      <type>
        <v>Flags = integer()</v>
        <v>Result = ok | {'EXCEPTION', E}</v>
      </type>
      <desc>
        <p>Displays all objects stored in the NameService. Existent checks are, per 
          default, also performed on all local objects. This can also be activated 
          for external objects by setting the flag <c>16#01</c>. The displayed
          information is the stringified Name described in 
          <seealso marker="CosNaming_NamingContextExt">CosNaming_NamingContextExt</seealso>,
          non existent status (true | false | external | undefined) and the IFR-Id:</p>
        <code type="none">
host/
host/resources/
host/resources/MyObj/ [false] IDL:MyMod/MyIntf:1.0        </code>
      </desc>
    </func>
    <func>
      <name>missing_modules() -> Count</name>
      <fsummary>Echo missing modules required by Orber</fsummary>
      <type>
        <v>Count = integer()</v>
      </type>
      <desc>
        <p>This operation list missing modules generated by IC and required by
          Orber. Requires that all API:s are registered in the IFR.</p>
      </desc>
    </func>
  </funcs>
  
</erlref>

